package services

import (
	"fmt"
	"net/url"

	"github.com/rdlucklib/rdluck_tools/http"
)

const (
	// RefreshUrl 值示例：http://127.0.0.1:7007/hongtao/refresh?FilePath=E:\hz\hongtao3_data\excel\Oneline\%E7%83%A7%E7%A2%B1.xlsx
	RefreshUrl = "http://127.0.0.1:7007/hongqi/refresh"
)

// InvokeRefreshServer 调用卓创红期刷新数据的服务（目前是python）
func InvokeRefreshServer(filePath string) {
	var refreshUrl string
	//filePathStr:=url.PathEscape(filePath)
	refreshUrl = RefreshUrl + "?FilePath=" + url.QueryEscape(filePath)
	fmt.Println("卓创红期刷新，文件路径：", filePath, "；刷新URL:"+refreshUrl)
	body, err := http.Get(refreshUrl)
	if err != nil {
		fmt.Println("卓创红期刷新 Err:" + err.Error())
		return
	}
	fmt.Println("卓创红期刷新，文件路径：", filePath, " ，Result:"+string(body))
}
