package services

import (
	"hongze/hongqi_watch/cache"
	"time"
)

// HandleFileUpdate 处理文件变化
// func HandleFileUpdate() {
// 	defer func() {
// 		if err := recover(); err != nil {
// 			fmt.Println("[AutoHandle]", err)
// 		}
// 	}()
// 	for {
// 		global.Rc.Brpop(utils.HANDLE_HONGQI_EXCEL, func(b []byte) {
// 			updateFilePath := string(b)
// 			// 移除多余的双引号和\
// 			updateFilePath = strings.Replace(updateFilePath, `"`, "", -1)
// 			fileExt := filepath.Ext(updateFilePath)
// 			//fmt.Println("fileExt:", fileExt)

// 			if fileExt != ".xlsx" && fileExt != ".xls" {
// 				//fmt.Println("不是excel文件")
// 				return
// 			}
// 			// 读取excel内容并操作入库
// 			ReadHqExcel(updateFilePath)
// 		})
// 	}

// }

// HandleRefreshExcel 处理excel刷新（实际去调用刷新）
func HandleRefreshExcel() {
	for {
		el := cache.RefreshList.Front()
		// 如果没取到，那么就睡眠1s
		if el == nil {
			time.Sleep(1 * time.Second)
			continue
		}
		filePath := el.Value.(string)

		InvokeRefreshServer(filePath)

		// 处理完后就移除该list
		cache.RefreshList.Remove(el)
		cache.FilePathMutex.Lock()
		delete(cache.FilePathMap, filePath)
		cache.FilePathMutex.Unlock()
	}
}

// HandleRefreshExcel 处理excel刷新（实际去调用刷新）
// func HandleRefreshExcel() {
// 	defer func() {
// 		if err := recover(); err != nil {
// 			fmt.Println("[AutoRefresh]", err)
// 		}
// 	}()
// 	for {
// 		global.Rc.Brpop(utils.REFRESH_HONGQI_EXCEL, func(b []byte) {
// 			updateFilePath := string(b)
// 			// 移除多余的双引号
// 			updateFilePath = strings.Replace(updateFilePath, `"`, "", -1)
// 			fileExt := filepath.Ext(updateFilePath)
// 			//fmt.Println("fileExt:", fileExt)

// 			if fileExt != ".xlsx" && fileExt != ".xls" {
// 				//fmt.Println("不是excel文件")
// 				return
// 			}
// 			// 读取excel内容并操作入库
// 			InvokeRefreshServer(updateFilePath)
// 		})
// 	}

// }
